Subject: bug#48973: closed (Re: bug#48973: An early booting warning message)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Jun 2021 20:16:05 +0000

Your bug report

#48973: An early booting warning message

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48973: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48973
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48973: An early booting warning message
From: [email-masked]
To: [email-masked]
Date: Sat, 12 Jun 2021 20:15:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

June 12, 2021 11:46 AM, "Tobias Geerinckx-Rice" <[email-masked]> wrote:

> This is a cross-distro annoyance; Guix doesn't explicitly load or even mention pcspkr.
> 
> One very common work-around is
> 
> (kernel-arguments (list "modprobe.blacklist=pcspkr" …))
> 
> For the 6 people who actually want the infernal demented shofar that is the ‘PC speaker’, I'm not
> sure what the solution is. Or if one is even needed, since the ‘error’ is indeed 100% harmless.
> 
> Kind regards,
> 
> T G-R
> 
> Sent from a Web browser. Excuse or enjoy my brevity.

Subject: An early booting warning message
From: Joshua Branson <[email-masked]>
To: [email-masked]
Date: Sat, 12 Jun 2021 09:17:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I've seen this warning message from my boot screen pretty much every
time I boot guix system on my T400.

[ 36.909489] Error: Driver 'pcspkr' is already registered, aborting...

The system boots just fine, but I figured I'd report this error
message.

Thanks!

Joshua